import React from 'react'

const data = {
  'TextInput': { name: '文本', type: '文本控件', },
  'TextArea': { name: '多行文本', type: '文本控件', },
  'NumberInput': { name: '数值', type: '文本控件', },
  'RichText': { name: '富文本', type: '文本控件', },
  'Coding': { name: '编码', type: '文本控件' },
  'ComboBox': { name: '下拉框', type: '选择器控件' },
  'RadioButton': { name: '单选框', type: '选择器控件' },
  'CheckBox': { name: '复选框', type: '选择器控件' },
  'SwitchSelector': { name: '开关', type: '选择器控件' },
  'RelevanceSelect': { name: '关联选择', type: '选择器控件' },
  'CascadeSelector': { name: '联级选择', type: '选择器控件' },
  'PersonSelector': { name: '人员选择', type: '业务控件' },
  'DeptSelector': { name: '部门选择', type: '业务控件' },
  'AccountSelector': { name: '部门选择', type: '业务控件' },
  'DateTime': { name: '日期选择', type: '时间控件' },
  'Time': { name: '时间选择', type: '时间控件' },
  'FileUpload': { name: '附件', type: '附件控件' },
  'Coordinate': { name: '坐标控件', type: 'GIS控件' },
  'Device': { name: '设备选择', type: 'GIS控件' },
  'SearchLocation': { name: '位置坐标', type: 'GIS控件' },
  'RelationForm': { name: '关联表单', type: '高级控件' },
  'AutoCalculate': { name: '自动计算', type: '高级控件' },
}

const WidgetType = (props) => {

  const { value, onChange } = props

  const getStyles = (type) => {
    switch (type) {
      case '文本控件': return { background: '#DEFED9', color: '#48BC2E' }
      case '选择器控件': return { background: '#E1EDFE', color: '#0765F3' }
      case '业务控件': return { background: '#FCE2FA', color: '#DD3CC4' }
      case '时间控件': return { background: '#E1EDFE', color: '#0765F3' }
      case '附件控件': return { background: '#DEFED9', color: '#48BC2E' }
      case 'GIS控件': return { background: '#D1F5EB', color: '#0A9C71' }
      case '高级控件': return { background: '#D6F1FE', color: '#0195D4' }
      default: return {}
    }
  }

  return (
    <span
      onClick={e => onChange('TextInput')}
      style={{
        borderRadius: '5px',
        padding: '0 7px',
        border: '1px solid',
        ...getStyles(data[value]?.type)
      }}>
      {data[value]?.name}
    </span>
  )

}

export default WidgetType